Name: slingshot
Version:  0.8.1p
Release:  13%{?dist}
Summary: A Newtonian strategy game

Group: Amusements/Games 
License: GPLv2+        
URL: http://slingshot.wikispot.org/
Source0: http://downloads.sourceforge.net/slingshot-game/slingshot-%{version}.tar.gz
Source1: slingshot.desktop
Source2: slingshot
Source3: slingshot.appdata.xml
Patch0: slingshot-font-path.patch
Patch1: slingshot-0.8.1p-type-mismatch.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)
BuildArchitectures: noarch
BuildRequires: desktop-file-utils
Requires: hicolor-icon-theme, python, pygame, gnu-free-sans-fonts

%description
Slingshot is a two dimensional, turn based simulation-strategy game 
set in the gravity fields of several planets. It is a highly 
addictive game, and never the same from round to round due to its 
randomly generated playing fields.

%prep
%setup -q

%patch0 -p0
%patch1 -p1

%build

rm -f slingshot/data/FreeSansBold.ttf

%install
rm -rf %{buildroot}

mkdir -p  %{buildroot}%{_bindir}
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/slingshot

mkdir -p  %{buildroot}%{_datadir}/slingshot
install -m 644 slingshot/*.py %{buildroot}%{_datadir}/slingshot
mkdir -p  %{buildroot}%{_datadir}/slingshot/data
install -m 644 slingshot/data/* %{buildroot}%{_datadir}/slingshot/data

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}

mv slingshot/data/icon64x64.png slingshot/data/slingshot.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
install -p -m 644 slingshot/data/slingshot.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps

#install appdata
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
install -p -m 664 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/appdata

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
  
%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/slingshot
%{_datadir}/slingshot/
%doc Readme.txt slingshot/licence.txt
%{_datadir}/applications/slingshot.desktop
%{_datadir}/icons/hicolor/64x64/apps/slingshot.png
%{_datadir}/appdata/slingshot.appdata.xml

%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1p-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1p-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Nov 06 2013 Jon Ciesla <limburgher@gmail.com> - 0.8.1p-11
- Fix URL, BZ 1023983.
- Add appdata file, BZ 1023986.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1p-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 11 2013 Jon Ciesla <limburgher@gmail.com> - 0.8.1p-9
- Drop desktop vendor tag.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1p-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1p-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1p-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec 04 2010 Jon Ciesla <limb@jcomserv.net> - 0.8.1p-5
- Fix for crash, BZ 652244.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1p-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 24 2009 Jon Ciesla <limb@jcomserv.net> - 0.8.1p-3
- Update for freefont->gnu-free-fonts rename/split.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1p-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep 06 2007 Jon Ciesla <limb@jcomserv.net> - 0.8.1p-1
- create.
